OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.SecondaryColor

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTSecondaryColor :: MonadIO m => m Bool
- gl_EXT_secondary_color :: Bool
- gl_COLOR_SUM_EXT :: GLenum
- gl_CURRENT_SECONDARY_COLOR_EXT :: GLenum
- gl_SECONDARY_COLOR_ARRAY_EXT :: GLenum
- gl_SECONDARY_COLOR_ARRAY_POINTER_EXT :: GLenum
- gl_SECONDARY_COLOR_ARRAY_SIZE_EXT :: GLenum
- gl_SECONDARY_COLOR_ARRAY_STRIDE_EXT :: GLenum
- gl_SECONDARY_COLOR_ARRAY_TYPE_EXT :: GLenum
- glSecondaryColor3bEXT :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glSecondaryColor3bvEXT :: MonadIO m => Ptr GLbyte -> m ()
- glSecondaryColor3dEXT :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glSecondaryColor3dvEXT :: MonadIO m => Ptr GLdouble -> m ()
- glSecondaryColor3fEXT :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glSecondaryColor3fvEXT :: MonadIO m => Ptr GLfloat -> m ()
- glSecondaryColor3iEXT :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glSecondaryColor3ivEXT :: MonadIO m => Ptr GLint -> m ()
- glSecondaryColor3sEXT :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glSecondaryColor3svEXT :: MonadIO m => Ptr GLshort -> m ()
- glSecondaryColor3ubEXT :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> m ()
- glSecondaryColor3ubvEXT :: MonadIO m => Ptr GLubyte -> m ()
- glSecondaryColor3uiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glSecondaryColor3uivEXT :: MonadIO m => Ptr GLuint -> m ()
- glSecondaryColor3usEXT :: MonadIO m => GLushort -> GLushort -> GLushort -> m ()
- glSecondaryColor3usvEXT :: MonadIO m => Ptr GLushort -> m ()
- glSecondaryColorPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetEXTSecondaryColor :: MonadIO m => m Bool

Is the EXT_secondary_color extension supported?

gl_EXT_secondary_color :: Bool

Is the EXT_secondary_color extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTSecondaryColor` in those cases instead.

# Enums

gl_COLOR_SUM_EXT :: GLenum

gl_CURRENT_SECONDARY_COLOR_EXT :: GLenum

gl_SECONDARY_COLOR_ARRAY_EXT :: GLenum

gl_SECONDARY_COLOR_ARRAY_POINTER_EXT :: GLenum

gl_SECONDARY_COLOR_ARRAY_SIZE_EXT :: GLenum

gl_SECONDARY_COLOR_ARRAY_STRIDE_EXT :: GLenum

gl_SECONDARY_COLOR_ARRAY_TYPE_EXT :: GLenum

# Functions

glSecondaryColor3bEXT

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3bvEXT`. This command is an alias for `glSecondaryColor3b`.

glSecondaryColor3bvEXT

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `ColorB`.
-> m () |

This command is an alias for `glSecondaryColor3bv`.

glSecondaryColor3dEXT

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3dvEXT`. This command is an alias for `glSecondaryColor3d`.

glSecondaryColor3dvEXT

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `ColorD`.
-> m () |

This command is an alias for `glSecondaryColor3dv`.

glSecondaryColor3fEXT

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3fvEXT`. This command is an alias for `glSecondaryColor3f`.

glSecondaryColor3fvEXT

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `ColorF`.
-> m () |

This command is an alias for `glSecondaryColor3fv`.

glSecondaryColor3iEXT

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3ivEXT`. This command is an alias for `glSecondaryColor3i`.

glSecondaryColor3ivEXT

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `ColorI`.
-> m () |

This command is an alias for `glSecondaryColor3iv`.

glSecondaryColor3sEXT

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3svEXT`. This command is an alias for `glSecondaryColor3s`.

glSecondaryColor3svEXT

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `ColorS`.
-> m () |

This command is an alias for `glSecondaryColor3sv`.

glSecondaryColor3ubEXT

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3ubvEXT`. This command is an alias for `glSecondaryColor3ub`.

glSecondaryColor3ubvEXT

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `3` elements of type `ColorUB`.
-> m () |

This command is an alias for `glSecondaryColor3ubv`.

glSecondaryColor3uiEXT

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3uivEXT`. This command is an alias for `glSecondaryColor3ui`.

glSecondaryColor3uivEXT

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `3` elements of type `ColorUI`.
-> m () |

This command is an alias for `glSecondaryColor3uiv`.

glSecondaryColor3usEXT

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> m () |

The vector equivalent of this command is `glSecondaryColor3usvEXT`. This command is an alias for `glSecondaryColor3us`.

glSecondaryColor3usvEXT

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `3` elements of type `ColorUS`.
-> m () |

This command is an alias for `glSecondaryColor3usv`.

glSecondaryColorPointerEXT

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

This command is an alias for `glSecondaryColorPointer`.